import * as cdk from 'aws-cdk-lib';
import * as constructs from 'constructs';
/**
 * Datadog Dashboard 2.0.2
 *
 * @schema CfnDashboardProps
 */
export interface CfnDashboardProps {
    /**
     * JSON string of the dashboard definition
     *
     * @schema CfnDashboardProps#DashboardDefinition
     */
    readonly dashboardDefinition: string;
}
/**
 * Converts an object of type 'CfnDashboardProps' to JSON representation.
 */
export declare function toJson_CfnDashboardProps(obj: CfnDashboardProps | undefined): Record<string, any> | undefined;
/**
 * A CloudFormation `Datadog::Dashboards::Dashboard`
 *
 * @cloudformationResource Datadog::Dashboards::Dashboard
 * @stability external
 * @link http://unknown-url
 */
export declare class CfnDashboard extends cdk.CfnResource {
    /**
    * The CloudFormation resource type name for this resource class.
    */
    static readonly CFN_RESOURCE_TYPE_NAME = "Datadog::Dashboards::Dashboard";
    /**
     * Resource props.
     */
    readonly props: CfnDashboardProps;
    /**
     * Attribute `Datadog::Dashboards::Dashboard.Id`
     * @link http://unknown-url
     */
    readonly attrId: string;
    /**
     * Attribute `Datadog::Dashboards::Dashboard.Url`
     * @link http://unknown-url
     */
    readonly attrUrl: string;
    /**
     * Create a new `Datadog::Dashboards::Dashboard`.
     *
     * @param scope - scope in which this resource is defined
     * @param id    - scoped id of the resource
     * @param props - resource properties
     */
    constructor(scope: constructs.Construct, id: string, props: CfnDashboardProps);
}
